Loading...
Searching...
No Matches
Util::UriQueryInfo Struct Reference

the return value of the parse_uri_query() function More...

## Public Attributes

string | method
| The URI method.
*hash< auto > | params
| Query parameters.
*hash< auto > | path_params
| Path params; only when matching a request with a REST schema.

## Detailed Description

the return value of the parse_uri_query() function

Since
  Util 1.3

## Member Data Documentation

## method

string Util::UriQueryInfo::method

The URI method.

The part of the URI path before the first `"?"` character or the entire path if no `"?"` character is present in the path

## params

*hash<auto> Util::UriQueryInfo::params

Query parameters.

The part of the path after the first `"?"` character; arguments should be separated by ";" characters (according to a w3c recommendation: http://www.w3.org/TR/1999/REC-html401-19991224/appendix/notes.html#h-B.2.2), however this function supports both `";"` and `"&"` as argument separators; if the arguments are not key=value, then each element without a value is assigned True

Note
  Only present if a "?" character is present in the input)

## path_params

*hash<auto> Util::UriQueryInfo::path_params

Path params; only when matching a request with a REST schema.

@Since Util 1.9